{"templateId":"markdown","sharedDataIds":{"sidebar":"sidebar-PublicAPI/sidebars.yaml"},"props":{"metadata":{"markdoc":{"tagList":[]},"type":"markdown"},"seo":{"title":"Providers V1 — Developer Guide"},"dynamicMarkdocComponents":[],"compilationErrors":[],"ast":{"$$mdtype":"Tag","name":"article","attributes":{},"children":[{"$$mdtype":"Tag","name":"Heading","attributes":{"level":1,"id":"providers-v1--developer-guide","__idx":0},"children":["Providers V1 — Developer Guide"]},{"$$mdtype":"Tag","name":"blockquote","attributes":{},"children":[{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Reference:"]}," ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"https://papidocs.hs1api.com/publicapi/api-practice-and-location-management/providers-(v1)"},"children":["Providers (V1) Endpoint Documentation"]}]}]},{"$$mdtype":"Tag","name":"hr","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Providers represent dentists, hygienists, and other clinical staff in your organization. Use these endpoints to list providers, retrieve individual records, create new providers, and update existing ones. Providers are referenced by linked model ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["{ id }"]}," on appointments, clinical notes, and other resources."]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["There is ",{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["no REST DELETE"]}," endpoint for providers."]},{"$$mdtype":"Tag","name":"hr","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"get--bulk-list-providers","__idx":1},"children":["GET — Bulk List Providers"]},{"$$mdtype":"Tag","name":"details","attributes":{},"children":[{"$$mdtype":"Tag","name":"summary","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["GET — Bulk List Providers"]}," — click to expand"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Returns a paginated list of providers filtered by the provided criteria."]},{"$$mdtype":"Tag","name":"blockquote","attributes":{},"children":[{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["⚠️ Rate Limited:"]}," This endpoint is rate limited. See the ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"https://papidocs.hs1api.com/publicapi/api-consumer-guide#rate-limiting"},"children":["rate limiting guide"]}," for details."]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"parameters","__idx":2},"children":["Parameters"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"align":"left","data-label":"Parameter"},"children":["Parameter"]},{"$$mdtype":"Tag","name":"th","attributes":{"align":"left","data-label":"In"},"children":["In"]},{"$$mdtype":"Tag","name":"th","attributes":{"align":"left","data-label":"Required"},"children":["Required"]},{"$$mdtype":"Tag","name":"th","attributes":{"align":"left","data-label":"Type"},"children":["Type"]},{"$$mdtype":"Tag","name":"th","attributes":{"align":"left","data-label":"Description"},"children":["Description"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["Organization-ID"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["header"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["Yes"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["string"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["The organization ID"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["filter"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["query"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["No"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["string"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["Filter criteria (see filter keys below). If omitted, a default date-limiting filter may be applied automatically."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["responseFields"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["query"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["No"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["string"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["Comma-delimited list of fields to include, or ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["ALL"]}]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["pageSize"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["query"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["No"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["string"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["Number of records per page (default ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["100"]},", maximum ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["500"]},")"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["lastId"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["query"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["No"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["string"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["Largest provider ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["id"]}," from the previous page, used for cursor pagination"]}]}]}]}]},{"$$mdtype":"Tag","name":"blockquote","attributes":{},"children":[{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["✅ Recommended:"]}," Use ",{"$$mdtype":"Tag","name":"strong","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["lastId"]}]}," cursor pagination for large result sets (see below). Combine with ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["lastModified"]}," filters to scope changes over time."]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"filter-keys","__idx":3},"children":["Filter Keys"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"align":"left","data-label":"Filter Key"},"children":["Filter Key"]},{"$$mdtype":"Tag","name":"th","attributes":{"align":"left","data-label":"Operators"},"children":["Operators"]},{"$$mdtype":"Tag","name":"th","attributes":{"align":"left","data-label":"Example"},"children":["Example"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["id"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["->"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["?filter=id->[1000000020702,1000000020703]"]}]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["location.id"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["=="]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["->"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["?filter=location.id==64000000000004"]}]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["user.id"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["=="]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["->"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["?filter=user.id==12000006542062"]}]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["lastModified"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":[">"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":[">="]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["<"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["<="]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["?filter=lastModified>=2025-01-01T00:00:00.000Z"]}]}]}]}]}]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["When filtering by ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["lastModified"]},", results are returned in ",{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["descending"]}," order (newest first). Use ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["lastId"]}," with date filters for stable cursor pagination."]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Combine filters with commas, for example: ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["filter=location.id==64000000000004,lastModified>2025-01-01T00:00:00.000Z"]},"."]},{"$$mdtype":"Tag","name":"blockquote","attributes":{},"children":[{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Note:"]}," A very wide ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["lastModified"]}," range with no other scoping can return ",{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["408"]}," (timeout) on large tenants. Narrow your filter and retry."]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"example-requests","__idx":4},"children":["Example Requests"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Fetch providers modified since a date:"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"header":{"controls":{"copy":{}}},"source":"GET /api/v1/providers?filter=lastModified>=2025-01-01T00:00:00.000Z\n"},"children":[]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Fetch providers at a specific location:"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"header":{"controls":{"copy":{}}},"source":"GET /api/v1/providers?filter=location.id==64000000000004\n"},"children":[]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Fetch specific providers by ID:"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"header":{"controls":{"copy":{}}},"source":"GET /api/v1/providers?filter=id->[1000000020702,1000000020703]\n"},"children":[]}]},{"$$mdtype":"Tag","name":"hr","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"paginating-with-lastid","__idx":5},"children":["Paginating with ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["lastId"]}]},{"$$mdtype":"Tag","name":"details","attributes":{},"children":[{"$$mdtype":"Tag","name":"summary","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Paginating with `lastId`"]}," — click to expand"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["lastId"]}," uses the provider's ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["id"]}," as a cursor. Pass the ",{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["largest"]}," ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["id"]}," from the previous page as ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["lastId"]}," for the next request."]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["When ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["lastId"]}," is present, ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["meta.pagination.total"]}," is ",{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["not included"]}," in the response. Use ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"#get--total-count"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["GET /v1/providers/totalcount"]}]}," when you need a record count. See also ",{"$$mdtype":"Tag","name":"strong","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/publicapi/bulk-get-total-count"},"children":["Bulk GET — Total Count Behavior"]}]},"."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"step-1--initial-request","__idx":6},"children":["Step 1 — Initial request"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Send the first request without ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["lastId"]},":"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"header":{"controls":{"copy":{}}},"source":"GET /api/v1/providers?pageSize=500&filter=lastModified>2025-01-01T00:00:00.000Z\n"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"step-2--subsequent-requests","__idx":7},"children":["Step 2 — Subsequent requests"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Use the ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["id"]}," of the ",{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["last"]}," object in the ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["data"]}," array as ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["lastId"]},":"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"header":{"controls":{"copy":{}}},"source":"GET /api/v1/providers?lastId=1000000020703&pageSize=500&filter=lastModified>2025-01-01T00:00:00.000Z\n"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"step-3--repeat","__idx":8},"children":["Step 3 — Repeat"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Continue until ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["data"]}," is empty or you have retrieved all records you need."]}]},{"$$mdtype":"Tag","name":"hr","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"get--total-count","__idx":9},"children":["GET — Total Count"]},{"$$mdtype":"Tag","name":"details","attributes":{},"children":[{"$$mdtype":"Tag","name":"summary","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["GET — Total Count"]}," — click to expand"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Returns the number of provider records matching a filter."]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"header":{"controls":{"copy":{}}},"source":"GET /api/v1/providers/totalcount\n"},"children":[]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Uses the ",{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["same filter syntax and filter keys"]}," as ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"#get--bulk-list-providers"},"children":["bulk GET"]},". Only ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["Organization-ID"]}," and ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["filter"]}," apply — pagination query parameters are not used on this endpoint."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"example-request","__idx":10},"children":["Example Request"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"header":{"controls":{"copy":{}}},"source":"GET /api/v1/providers/totalcount?filter=lastModified>=2025-01-01T00:00:00.000Z,location.id==64000000000004\n"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"response","__idx":11},"children":["Response"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"align":"left","data-label":"Field"},"children":["Field"]},{"$$mdtype":"Tag","name":"th","attributes":{"align":"left","data-label":"Type"},"children":["Type"]},{"$$mdtype":"Tag","name":"th","attributes":{"align":"left","data-label":"Description"},"children":["Description"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["data.totalCount"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["integer"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["Number of providers matching the filter"]}]}]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"example-response","__idx":12},"children":["Example Response"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"json","header":{"controls":{"copy":{}}},"source":"{\n  \"data\": {\n    \"totalCount\": 42\n  },\n  \"warnings\": [],\n  \"errors\": []\n}\n","lang":"json"},"children":[]}]},{"$$mdtype":"Tag","name":"hr","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"get--provider-by-id","__idx":13},"children":["GET — Provider by ID"]},{"$$mdtype":"Tag","name":"details","attributes":{},"children":[{"$$mdtype":"Tag","name":"summary","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["GET — Provider by ID"]}," — click to expand"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Returns a single provider by its ID."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"parameters-1","__idx":14},"children":["Parameters"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"align":"left","data-label":"Parameter"},"children":["Parameter"]},{"$$mdtype":"Tag","name":"th","attributes":{"align":"left","data-label":"In"},"children":["In"]},{"$$mdtype":"Tag","name":"th","attributes":{"align":"left","data-label":"Required"},"children":["Required"]},{"$$mdtype":"Tag","name":"th","attributes":{"align":"left","data-label":"Type"},"children":["Type"]},{"$$mdtype":"Tag","name":"th","attributes":{"align":"left","data-label":"Description"},"children":["Description"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["providerId"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["path"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["Yes"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["integer"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["The ID of the provider"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["Organization-ID"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["header"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["Yes"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["string"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["The organization ID"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["responseFields"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["query"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["No"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["string"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["Comma-delimited list of fields to include, or ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["ALL"]}]}]}]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"example-request-1","__idx":15},"children":["Example Request"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"header":{"controls":{"copy":{}}},"source":"GET /api/v1/providers/1000000020702\n"},"children":[]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["A provider that does not exist in your organization returns ",{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["404"]}," with ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["ProviderV1 not found"]},"."]}]},{"$$mdtype":"Tag","name":"hr","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"post--create-provider","__idx":16},"children":["POST — Create Provider"]},{"$$mdtype":"Tag","name":"details","attributes":{},"children":[{"$$mdtype":"Tag","name":"summary","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["POST — Create Provider"]}," — click to expand"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Creates a new provider. Returns ",{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["201"]}," with the created resource in ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["data"]},"."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"base-required-fields","__idx":17},"children":["Base Required Fields"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["All create requests require:"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"align":"left","data-label":"Field"},"children":["Field"]},{"$$mdtype":"Tag","name":"th","attributes":{"align":"left","data-label":"Type"},"children":["Type"]},{"$$mdtype":"Tag","name":"th","attributes":{"align":"left","data-label":"Description"},"children":["Description"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["firstName"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["string"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["1–25 characters"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["lastName"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["string"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["1–50 characters"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["shortName"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["string"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["3–6 characters"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["specialty"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["string"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["Provider specialty enum (see below)"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["isPrimaryProvider"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["boolean"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["Whether this provider is the primary provider"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["address1"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["string"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["Street address, max 50 characters"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["city"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["string"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["Max 30 characters"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["state"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["string"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["US state or territory code (e.g. ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["CA"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["TX"]},")"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["postalCode"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["string"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["5–10 characters"]}]}]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"conditional-required-fields","__idx":18},"children":["Conditional Required Fields"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["When ",{"$$mdtype":"Tag","name":"strong","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["isPrimaryProvider"]}," is ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["true"]}]},", or when ",{"$$mdtype":"Tag","name":"strong","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["specialty"]}," is not ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["HYGIENIST"]}]},", these fields are also required:"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"align":"left","data-label":"Field"},"children":["Field"]},{"$$mdtype":"Tag","name":"th","attributes":{"align":"left","data-label":"Type"},"children":["Type"]},{"$$mdtype":"Tag","name":"th","attributes":{"align":"left","data-label":"Description"},"children":["Description"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["npi"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["string"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["National Provider Identifier, max 10 characters"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["stateId"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["string"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["State license number, 1–20 characters"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["tin"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["string"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["Tax identification number, exactly 9 numeric digits"]}]}]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"specialty-values","__idx":19},"children":["Specialty Values"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["DENTALPUBLICHEALTH"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["DENTALSPECIALTY"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["DENTIST"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["DENTAL"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["ENDODONTICS"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["FEDERALLYQUALIFIEDHEALTHCENTER"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["GENERALPRACTICE"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["HYGIENIST"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["MULTISPECIALTY"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["ORTHODONTICS"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["ORALMAXILLOFACIALPATHOLOGY"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["ORALMAXILLOFACIALRADIOLOGY"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["ORALMAXILLOFACIALSURGERY"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["PEDIATRICDENTISTRY"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["PERIODONTICS"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["PROSTHODONTICS"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["SINGLESPECIALTY"]}]},{"$$mdtype":"Tag","name":"details","attributes":{},"children":[{"$$mdtype":"Tag","name":"summary","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Scenario 1 — POST: Create a Primary Dentist"]}," — click to expand"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Use when creating a dentist who is the primary provider. Requires ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["npi"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["stateId"]},", and ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["tin"]},"."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"example-request-body","__idx":20},"children":["Example Request Body"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"json","header":{"controls":{"copy":{}}},"source":"{\n  \"firstName\": \"John\",\n  \"lastName\": \"Doe\",\n  \"shortName\": \"JD-DDS\",\n  \"specialty\": \"DENTIST\",\n  \"isPrimaryProvider\": true,\n  \"npi\": \"1234567893\",\n  \"stateId\": \"DDS-12345\",\n  \"tin\": \"123456789\",\n  \"color\": \"ffffff\",\n  \"address1\": \"123 Main St\",\n  \"address2\": \"Suite 100\",\n  \"city\": \"Salt Lake City\",\n  \"state\": \"UT\",\n  \"postalCode\": \"84103\"\n}\n","lang":"json"},"children":[]}]},{"$$mdtype":"Tag","name":"details","attributes":{},"children":[{"$$mdtype":"Tag","name":"summary","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Scenario 2 — POST: Create a Hygienist Without Identifiers"]}," — click to expand"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Use when creating a hygienist who is ",{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["not"]}," the primary provider. ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["npi"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["stateId"]},", and ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["tin"]}," can be omitted."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"example-request-body-1","__idx":21},"children":["Example Request Body"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"json","header":{"controls":{"copy":{}}},"source":"{\n  \"firstName\": \"Jane\",\n  \"lastName\": \"Smith\",\n  \"shortName\": \"J-HYG\",\n  \"specialty\": \"HYGIENIST\",\n  \"isPrimaryProvider\": false,\n  \"color\": \"ffffff\",\n  \"address1\": \"123 Main St\",\n  \"city\": \"Salt Lake City\",\n  \"state\": \"UT\",\n  \"postalCode\": \"84103\"\n}\n","lang":"json"},"children":[]}]},{"$$mdtype":"Tag","name":"details","attributes":{},"children":[{"$$mdtype":"Tag","name":"summary","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Scenario 3 — POST: Create a Provider With a Linked User"]}," — click to expand"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Use when creating a provider and assigning an existing user account. The user must not already be assigned to another provider."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"example-request-body-2","__idx":22},"children":["Example Request Body"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"json","header":{"controls":{"copy":{}}},"source":"{\n  \"firstName\": \"John\",\n  \"lastName\": \"Doe\",\n  \"shortName\": \"JD-DDS\",\n  \"specialty\": \"DENTIST\",\n  \"isPrimaryProvider\": true,\n  \"npi\": \"1234567893\",\n  \"stateId\": \"DDS-12345\",\n  \"tin\": \"123456789\",\n  \"address1\": \"123 Main St\",\n  \"city\": \"Salt Lake City\",\n  \"state\": \"UT\",\n  \"postalCode\": \"84103\",\n  \"user\": {\n    \"id\": 12000006542062\n  }\n}\n","lang":"json"},"children":[]}]}]},{"$$mdtype":"Tag","name":"hr","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"put--update-provider","__idx":23},"children":["PUT — Update Provider"]},{"$$mdtype":"Tag","name":"details","attributes":{},"children":[{"$$mdtype":"Tag","name":"summary","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["PUT — Update Provider"]}," — click to expand"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Updates an existing provider. Only fields included in the request body are changed; omitted fields remain unchanged."]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Returns ",{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["200"]}," with the updated resource. By default, the response includes ",{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["only modified fields"]}," (",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["responseFields=MODIFIED"]},"). Use ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["?responseFields=ALL"]}," when you need the full resource after update."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"example-request-2","__idx":24},"children":["Example Request"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"header":{"controls":{"copy":{}}},"source":"PUT /api/v1/providers/1000000020702?responseFields=ALL\n"},"children":[]},{"$$mdtype":"Tag","name":"details","attributes":{},"children":[{"$$mdtype":"Tag","name":"summary","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Scenario 1 — PUT: Assign a User (First Time)"]}," — click to expand"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Use when a provider has no user assigned yet. Once assigned, the user ",{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["cannot"]}," be changed or removed via the API."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"example-request-body-3","__idx":25},"children":["Example Request Body"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"json","header":{"controls":{"copy":{}}},"source":"{\n  \"user\": {\n    \"id\": 12000006542062\n  }\n}\n","lang":"json"},"children":[]}]},{"$$mdtype":"Tag","name":"details","attributes":{},"children":[{"$$mdtype":"Tag","name":"summary","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Scenario 2 — PUT: Update Address"]}," — click to expand"]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"example-request-body-4","__idx":26},"children":["Example Request Body"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"json","header":{"controls":{"copy":{}}},"source":"{\n  \"address1\": \"456 Oak Ave\",\n  \"address2\": null,\n  \"city\": \"Provo\",\n  \"state\": \"UT\",\n  \"postalCode\": \"84604\"\n}\n","lang":"json"},"children":[]},{"$$mdtype":"Tag","name":"blockquote","attributes":{},"children":[{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Note:"]}," When ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["responseFields"]}," is omitted (default ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["MODIFIED"]},"), unchanged fields such as ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["state"]}," may not appear in the response even if sent in the request."]}]}]},{"$$mdtype":"Tag","name":"details","attributes":{},"children":[{"$$mdtype":"Tag","name":"summary","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Scenario 3 — PUT: Link Insurance Carriers"]}," — click to expand"]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"example-request-body-5","__idx":27},"children":["Example Request Body"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"json","header":{"controls":{"copy":{}}},"source":"{\n  \"insuranceCarriers\": [\n    { \"id\": 1000000020702 },\n    { \"id\": 1000000020703 }\n  ]\n}\n","lang":"json"},"children":[]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Pass an empty array to clear all linked carriers: ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["\"insuranceCarriers\": []"]},"."]}]},{"$$mdtype":"Tag","name":"details","attributes":{},"children":[{"$$mdtype":"Tag","name":"summary","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Scenario 4 — PUT: Toggle Signature on File"]}," — click to expand"]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"example-request-body-6","__idx":28},"children":["Example Request Body"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"json","header":{"controls":{"copy":{}}},"source":"{\n  \"signatureOnFile\": true\n}\n","lang":"json"},"children":[]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"put-constraints","__idx":29},"children":["PUT Constraints"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"align":"left","data-label":"Constraint"},"children":["Constraint"]},{"$$mdtype":"Tag","name":"th","attributes":{"align":"left","data-label":"Behavior"},"children":["Behavior"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["active: false"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Not supported"]}," — returns 400. Contact support to deactivate a provider."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["Change assigned ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["user"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Not supported"]}," once a user is assigned"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["user: null"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Not supported"]}," — cannot unassign a user via API"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["Provider assigned to a location"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["firstName"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["lastName"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["address1"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["address2"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["city"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["state"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["postalCode"]},", and ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["user"]}," are ",{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["read-only"]}]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["isPrimaryProvider: false"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Not allowed"]}," when the provider has patients assigned"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["location"]}," in request body"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["Ignored with a read-only warning — location assignment is not writable via API"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["isNonPersonEntity"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Read-only"]}," — ignored if sent on create or update"]}]}]}]}]}]},{"$$mdtype":"Tag","name":"hr","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"streamapi-webhooks","__idx":30},"children":["StreamAPI Webhooks"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Providers emit StreamAPI events on ",{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["CREATE"]}," (POST) and ",{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["UPDATE"]}," (PUT). For real-time sync, use ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/publicapi/streamapi-webhooks-setup"},"children":["StreamAPI webhooks (SNS)"]}," instead of polling bulk GET. Setup is covered in ",{"$$mdtype":"Tag","name":"strong","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/publicapi/streamapi-webhooks-setup"},"children":["Creating and Setting Up Webhooks for the StreamAPI"]}]},"."]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["There is ",{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["no REST DELETE"]}," endpoint for providers."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"routing-key-format","__idx":31},"children":["Routing Key Format"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"header":{"controls":{"copy":{}}},"source":"organizationId.locationId.ProviderV1.operationType\n"},"children":[]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["When no location is associated, ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["locationId"]}," is ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["-1"]},"."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"example-routing-keys","__idx":32},"children":["Example Routing Keys"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["All provider events:"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"header":{"controls":{"copy":{}}},"source":"66d22762060811049b50d085.*.ProviderV1.*\n"},"children":[]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Creates only:"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"header":{"controls":{"copy":{}}},"source":"66d22762060811049b50d085.*.ProviderV1.CREATE\n"},"children":[]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Updates only:"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"header":{"controls":{"copy":{}}},"source":"66d22762060811049b50d085.*.ProviderV1.UPDATE\n"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"payload-behavior","__idx":33},"children":["Payload Behavior"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"align":"left","data-label":"Operation"},"children":["Operation"]},{"$$mdtype":"Tag","name":"th","attributes":{"align":"left","data-label":"Public payload"},"children":["Public payload"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["CREATE"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["Full provider resource (public fields only)"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["UPDATE"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["Changed fields only (public fields only)"]}]}]}]}]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Public stream payloads exclude internal-only fields and follow the same field visibility as REST GET responses."]},{"$$mdtype":"Tag","name":"hr","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"response-structure","__idx":34},"children":["Response Structure"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["A successful ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["200"]},"/",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["201"]}," response returns:"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"align":"left","data-label":"Field"},"children":["Field"]},{"$$mdtype":"Tag","name":"th","attributes":{"align":"left","data-label":"Type"},"children":["Type"]},{"$$mdtype":"Tag","name":"th","attributes":{"align":"left","data-label":"Description"},"children":["Description"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["data"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["object"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["The created or retrieved provider"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["warnings"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["array"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["Non-fatal warnings (e.g. read-only fields ignored)"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["errors"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["array"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["Field-level errors"]}]}]}]}]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["For bulk GET, ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["data"]}," is an array and includes ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["meta.pagination"]},"."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"metapagination","__idx":35},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["meta.pagination"]}]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"align":"left","data-label":"Field"},"children":["Field"]},{"$$mdtype":"Tag","name":"th","attributes":{"align":"left","data-label":"Type"},"children":["Type"]},{"$$mdtype":"Tag","name":"th","attributes":{"align":"left","data-label":"Description"},"children":["Description"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["limit"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["integer"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["Page size used for this response"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["offset"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["integer"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["Offset for this page"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["total"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["integer"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["Total matching records — ",{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["omitted"]}," when using ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["lastId"]}," cursor pagination"]}]}]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"data-object--provider-fields","__idx":36},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["data"]}," Object — Provider Fields"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"align":"left","data-label":"Field"},"children":["Field"]},{"$$mdtype":"Tag","name":"th","attributes":{"align":"left","data-label":"Type"},"children":["Type"]},{"$$mdtype":"Tag","name":"th","attributes":{"align":"left","data-label":"Read-Only"},"children":["Read-Only"]},{"$$mdtype":"Tag","name":"th","attributes":{"align":"left","data-label":"Description"},"children":["Description"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["id"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["integer"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["Yes"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["Unique provider ID"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["type"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["string"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["Yes"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["Always ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["\"ProviderV1\""]}]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["firstName"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["string"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["No"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["First name (1–25 characters)"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["middleInitial"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["string"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["No"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["Middle initial (max 1 character)"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["lastName"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["string"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["No"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["Last name (1–50 characters)"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["shortName"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["string"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["No"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["Short display name (3–6 characters)"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["specialty"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["string"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["No"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["Provider specialty enum"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["npi"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["string"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["No"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["National Provider Identifier"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["stateId"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["string"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["No"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["State license number"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["tin"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["string"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["No"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["Tax identification number (9 digits)"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["color"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["string"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["No"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["Hex color (",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["fff"]}," or ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["ffffff"]},")"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["active"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["boolean"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["No"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["Whether the provider is active"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["isPrimaryProvider"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["boolean"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["No"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["Primary provider flag"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["isNonPersonEntity"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["boolean"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["Yes"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["Whether the provider is a non-person entity (e.g. equipment)"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["signatureOnFile"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["boolean"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["No"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["Signature-on-file flag"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["title"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["string"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["No"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["Title (max 50 characters)"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["isLocumTenens"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["boolean"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["No"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["Locum tenens flag"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["address1"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["string"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["No"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["Street address line 1"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["address2"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["string"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["No"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["Street address line 2 (nullable)"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["city"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["string"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["No"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["City"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["state"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["string"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["No"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["US state or territory code"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["postalCode"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["string"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["No"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["Postal code"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["feeSchedule"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["object"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["No"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["Linked model ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["{ id, type, url }"]}," when assigned"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["user"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["object"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["No"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["Linked model ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["{ id, type, url }"]}," when assigned"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["insuranceCarriers"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["array"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["No"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["Array of linked models ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["{ id, type, url }"]}," when assigned"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["location"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["object"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["Yes"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["Linked model ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["{ id, type, url }"]}," when provider is assigned to a location"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["stateIdExpiration"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["string"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["No"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["State ID expiration date (",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["YYYY-MM-DD"]},") when set"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["lastModified"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["string"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["Yes"]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["Last modification timestamp (ISO 8601)"]}]}]}]}]},{"$$mdtype":"Tag","name":"hr","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"errors--warnings-reference","__idx":37},"children":["Errors & Warnings Reference"]},{"$$mdtype":"Tag","name":"details","attributes":{},"children":[{"$$mdtype":"Tag","name":"summary","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["HTTP Status Code Errors"]}," — click to expand"]},{"$$mdtype":"Tag","name":"hr","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"400--bad-request","__idx":38},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["400"]}," — Bad Request"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["The request body or parameters are invalid. See field-level errors below."]},{"$$mdtype":"Tag","name":"hr","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"401--unauthorized","__idx":39},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["401"]}," — Unauthorized"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"align":"left","data-label":""},"children":[]},{"$$mdtype":"Tag","name":"th","attributes":{"align":"left","data-label":""},"children":[]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Message"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["Authentication is required and has failed or has not been provided."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Fix"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["Provide a valid Bearer token in the ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["Authorization"]}," header."]}]}]}]}]},{"$$mdtype":"Tag","name":"hr","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"403--forbidden","__idx":40},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["403"]}," — Forbidden"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"align":"left","data-label":""},"children":[]},{"$$mdtype":"Tag","name":"th","attributes":{"align":"left","data-label":""},"children":[]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Message"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["The request is understood, but it has been refused or access is not allowed."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Why"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["The caller is not allowed to perform this operation for the organization or resource."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Fix"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["Confirm your integration credentials and that the organization has enabled the capabilities needed for this API. See the ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"https://papidocs.hs1api.com/publicapi/api-consumer-guide"},"children":["API Consumer Guide"]},"."]}]}]}]}]},{"$$mdtype":"Tag","name":"hr","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"404--not-found","__idx":41},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["404"]}," — Not Found"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"align":"left","data-label":""},"children":[]},{"$$mdtype":"Tag","name":"th","attributes":{"align":"left","data-label":""},"children":[]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Message"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["The requested resource is either missing or does not exist."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Why"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["No provider exists for the given ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["providerId"]}," within your organization."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Fix"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["Confirm the ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["providerId"]}," is correct and belongs to your organization."]}]}]}]}]},{"$$mdtype":"Tag","name":"hr","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"408--request-timeout","__idx":42},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["408"]}," — Request Timeout"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"align":"left","data-label":""},"children":[]},{"$$mdtype":"Tag","name":"th","attributes":{"align":"left","data-label":""},"children":[]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Message"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["The server timed out while processing the request."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Why"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["Often caused by an overly broad filter on a large tenant."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Fix"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["Narrow filter criteria (add ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["location.id"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["user.id"]},", or a tighter ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["lastModified"]}," range) and retry."]}]}]}]}]},{"$$mdtype":"Tag","name":"hr","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"429--too-many-requests","__idx":43},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["429"]}," — Too Many Requests"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"align":"left","data-label":""},"children":[]},{"$$mdtype":"Tag","name":"th","attributes":{"align":"left","data-label":""},"children":[]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Message"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["Rate limit exceeded."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Fix"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["Implement exponential backoff. See the ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"https://papidocs.hs1api.com/publicapi/api-consumer-guide#rate-limiting"},"children":["rate limiting guide"]},"."]}]}]}]}]},{"$$mdtype":"Tag","name":"hr","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"500--internal-server-error","__idx":44},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["500"]}," — Internal Server Error"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"align":"left","data-label":""},"children":[]},{"$$mdtype":"Tag","name":"th","attributes":{"align":"left","data-label":""},"children":[]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Message"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["An unexpected error occurred."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Fix"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["Retry. If the issue persists, contact support."]}]}]}]}]}]},{"$$mdtype":"Tag","name":"hr","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"details","attributes":{"open":""},"children":[{"$$mdtype":"Tag","name":"summary","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Field-Level Validation Errors"]}," — click to collapse"]},{"$$mdtype":"Tag","name":"hr","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"firstname--lastname","__idx":45},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["firstName"]}," / ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["lastName"]}]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Error:"]}," ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["firstName must be longer than or equal to 1 characters"]}," (or same for ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["lastName"]},")."]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"align":"left","data-label":""},"children":[]},{"$$mdtype":"Tag","name":"th","attributes":{"align":"left","data-label":""},"children":[]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Why"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["The field was set to ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["null"]}," or an empty string on PUT."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Fix"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["Provide a non-empty string within the length limits."]}]}]}]}]},{"$$mdtype":"Tag","name":"hr","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"specialty","__idx":46},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["specialty"]}]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Error:"]}," ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["specialty must have a value in [...]"]}]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"align":"left","data-label":""},"children":[]},{"$$mdtype":"Tag","name":"th","attributes":{"align":"left","data-label":""},"children":[]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Why"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["The specialty was set to ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["null"]}," or an unrecognized value."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Fix"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["Use one of the supported specialty enum values."]}]}]}]}]},{"$$mdtype":"Tag","name":"hr","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"npi--stateid--tin","__idx":47},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["npi"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["stateId"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["tin"]}]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Error:"]}," ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["You cannot make provider primary without setting his npi"]}," (and similar for ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["stateId"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["tin"]},")."]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"align":"left","data-label":""},"children":[]},{"$$mdtype":"Tag","name":"th","attributes":{"align":"left","data-label":""},"children":[]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Why"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["isPrimaryProvider"]}," is ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["true"]}," but one or more identifiers are missing on create or update."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Fix"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["Include all three fields when the provider is primary."]}]}]}]}]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Error:"]}," ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["You cannot make provider non-HYGIENIST without setting his npi"]}," (and similar for ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["stateId"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["tin"]},")."]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"align":"left","data-label":""},"children":[]},{"$$mdtype":"Tag","name":"th","attributes":{"align":"left","data-label":""},"children":[]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Why"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["Specialty is not ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["HYGIENIST"]}," but identifiers are missing or were cleared."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Fix"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["Include ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["npi"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["stateId"]},", and ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["tin"]}," for non-hygienist specialties."]}]}]}]}]},{"$$mdtype":"Tag","name":"hr","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"user","__idx":48},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["user"]}]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Error:"]}," ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["Linked model for property 'user' should be plain object with id of UserV1"]}]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"align":"left","data-label":""},"children":[]},{"$$mdtype":"Tag","name":"th","attributes":{"align":"left","data-label":""},"children":[]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Why"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["The ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["user"]}," value is not a valid linked model object."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Fix"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["Send ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["{ \"id\": <userId> }"]}," with a valid user ID."]}]}]}]}]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Error:"]}," ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["Linked model with id '<id>' of type 'UserV1' not found"]}]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"align":"left","data-label":""},"children":[]},{"$$mdtype":"Tag","name":"th","attributes":{"align":"left","data-label":""},"children":[]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Why"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["No user exists with the given ID in your organization."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Fix"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["Confirm the user ID is correct."]}]}]}]}]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Error:"]}," ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["userId <id> is incorrect. This user is already assigned to another provider"]}]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"align":"left","data-label":""},"children":[]},{"$$mdtype":"Tag","name":"th","attributes":{"align":"left","data-label":""},"children":[]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Why"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["The user is already linked to a different provider."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Fix"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["Choose a user that is not assigned, or update the existing provider instead."]}]}]}]}]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Error:"]}," ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["You cannot change user for provider"]}]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"align":"left","data-label":""},"children":[]},{"$$mdtype":"Tag","name":"th","attributes":{"align":"left","data-label":""},"children":[]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Why"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["Attempted to change the user on a provider that already has one assigned."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Fix"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["User assignment is permanent via the API. Contact support if reassignment is required."]}]}]}]}]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Error:"]}," ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["You cannot unassign user from provider for now, please contact support in case of need"]}]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"align":"left","data-label":""},"children":[]},{"$$mdtype":"Tag","name":"th","attributes":{"align":"left","data-label":""},"children":[]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Why"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["Attempted to set ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["user: null"]},"."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Fix"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["User unassignment is not supported via the API. Contact support if needed."]}]}]}]}]},{"$$mdtype":"Tag","name":"hr","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"feeschedule","__idx":49},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["feeSchedule"]}]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Error:"]}," ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["Linked model for property 'feeSchedule' should be plain object with id of FeeScheduleV1"]}]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"align":"left","data-label":""},"children":[]},{"$$mdtype":"Tag","name":"th","attributes":{"align":"left","data-label":""},"children":[]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Why"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["Invalid linked model shape for ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["feeSchedule"]},"."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Fix"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["Send ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["{ \"id\": <feeScheduleId> }"]}," with a valid fee schedule ID."]}]}]}]}]},{"$$mdtype":"Tag","name":"hr","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"active","__idx":50},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["active"]}]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Error:"]}," ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["You cannot deactivate a provider for now, please contact support in case of need"]}]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"align":"left","data-label":""},"children":[]},{"$$mdtype":"Tag","name":"th","attributes":{"align":"left","data-label":""},"children":[]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Why"]}]},{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["Attempted to set ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["active: false"]},"."]}]},{"$$mdtype":"Tag","name":"tr"
[...]
